#include "Ultrasonic.h"
Ultrasonic ultrasonic(9, 8); 

int pinTrig = 9;
int pinEcho = 8;
int pinGreen= 12;
int pinRed = 11;
int limitRed = 10;
//int limitGreen = 50; TODO (profondeur seau)

long temps;
float distance;

void setup() {
    pinMode(pinTrig, OUTPUT);
    pinMode(pinEcho, INPUT);

    digitalWrite(pinTrig, LOW);

    Serial.begin(9600);
    pinMode(pinRed, OUTPUT);
    pinMode(pinGreen, OUTPUT);
}

void loop() {
    digitalWrite(pinTrig, HIGH);
    delayMicroseconds(10);
    digitalWrite(pinTrig, LOW);

    temps = pulseIn(pinEcho, HIGH);

    if (temps > 25000){
        Serial.println("Out of range");
    }
    else{
        temps = temps / 2;
        distance = temps * 340 / 10000.0;
        Serial.print("Temps : ");
        Serial.print(temps);
        Serial.println(" µs");

        Serial.print("Distance : ");
        Serial.print(distance);
        Serial.println(" cm");

        int dist = ultrasonic.distanceRead(CM); 
        Serial.print("Ultrasonic Distance : ");
        Serial.print(dist);
        Serial.println(" cm");

        if (dist < 10) {
            digitalWrite(pinGreen, LOW);
            digitalWrite(pinRed, HIGH);
        }
        if (dist > 10) {
            digitalWrite(pinGreen, HIGH);
            digitalWrite(pinRed, LOW);
        }
    }
    delay(1000);
}
